<template>
	<view class="container">
		<rich-text :nodes="content.helpWordContent"></rich-text>
	</view>
</template>

<script setup>
import { ref } from 'vue';
import { onLoad } from '@dcloudio/uni-app';

const content = ref('');

onLoad(() => {
	content.value = uni.getStorageSync('helpDetail');
	const regex = new RegExp('img', 'gi');
	content.value.helpWordContent = content.value.helpWordContent.replace(regex, `img style="width:100%;"`);
	uni.setNavigationBarTitle({
		title: content.value.helpWordTitle
	});
});
</script>

<style scoped lang="scss">
.container {
	padding: 28upx;
}
</style>
